import { z } from "zod";
export declare type DeployEvent = z.infer<typeof DeployEvent>;
export declare const DeployEvent: z.ZodObject<{
    readonly eventType: z.ZodEnum<["Deploy"]>;
    readonly eventTime: z.ZodNumber;
} & {
    requestId: z.ZodString;
    exitCode: z.ZodNumber;
    errorType: z.ZodOptional<z.ZodString>;
    errorMessage: z.ZodOptional<z.ZodString>;
    eventEndTime: z.ZodNumber;
    isSmokeTest: z.ZodBoolean;
}, "strip", z.ZodTypeAny, {
    errorType?: string | undefined;
    errorMessage?: string | undefined;
    readonly eventType: "Deploy";
    readonly eventTime: number;
    requestId: string;
    exitCode: number;
    eventEndTime: number;
    isSmokeTest: boolean;
}, {
    errorType?: string | undefined;
    errorMessage?: string | undefined;
    readonly eventType: "Deploy";
    readonly eventTime: number;
    requestId: string;
    exitCode: number;
    eventEndTime: number;
    isSmokeTest: boolean;
}>;
//# sourceMappingURL=deploy-event.d.ts.map