import { z } from "zod";
export declare type MetricsRequest = z.infer<typeof MetricsRequest>;
export declare const MetricsRequest: z.ZodObject<{
    nodeVersion: z.ZodString;
    pid: z.ZodNumber;
    machinePlatform: z.ZodString;
    machineArchitecture: z.ZodString;
    machineId: z.ZodString;
    gluestikVersion: z.ZodString;
    events: z.ZodLazy<z.ZodArray<z.ZodLazy<z.ZodUnion<[z.ZodObject<{
        readonly eventType: z.ZodEnum<["CreateGluestik"]>;
        readonly eventTime: z.ZodNumber;
    } & {
        requestId: z.ZodString;
        templateName: z.ZodString;
        packageManager: z.ZodString;
        createGluestikVersion: z.ZodString;
        exitCode: z.ZodNumber;
        errorType: z.ZodOptional<z.ZodString>;
        errorMessage: z.ZodOptional<z.ZodString>;
        eventEndTime: z.ZodNumber;
        isSmokeTest: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        errorType?: string | undefined;
        errorMessage?: string | undefined;
        readonly eventType: "CreateGluestik";
        readonly eventTime: number;
        requestId: string;
        templateName: string;
        packageManager: string;
        createGluestikVersion: string;
        exitCode: number;
        eventEndTime: number;
        isSmokeTest: boolean;
    }, {
        errorType?: string | undefined;
        errorMessage?: string | undefined;
        readonly eventType: "CreateGluestik";
        readonly eventTime: number;
        requestId: string;
        templateName: string;
        packageManager: string;
        createGluestikVersion: string;
        exitCode: number;
        eventEndTime: number;
        isSmokeTest: boolean;
    }>, z.ZodObject<{
        readonly eventType: z.ZodEnum<["Deploy"]>;
        readonly eventTime: z.ZodNumber;
    } & {
        requestId: z.ZodString;
        exitCode: z.ZodNumber;
        errorType: z.ZodOptional<z.ZodString>;
        errorMessage: z.ZodOptional<z.ZodString>;
        eventEndTime: z.ZodNumber;
        isSmokeTest: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        errorType?: string | undefined;
        errorMessage?: string | undefined;
        readonly eventType: "Deploy";
        readonly eventTime: number;
        requestId: string;
        exitCode: number;
        eventEndTime: number;
        isSmokeTest: boolean;
    }, {
        errorType?: string | undefined;
        errorMessage?: string | undefined;
        readonly eventType: "Deploy";
        readonly eventTime: number;
        requestId: string;
        exitCode: number;
        eventEndTime: number;
        isSmokeTest: boolean;
    }>, z.ZodObject<{
        readonly eventType: z.ZodEnum<["Synth"]>;
        readonly eventTime: z.ZodNumber;
    } & {
        requestId: z.ZodString;
        exitCode: z.ZodNumber;
        errorType: z.ZodOptional<z.ZodString>;
        errorMessage: z.ZodOptional<z.ZodString>;
        eventEndTime: z.ZodNumber;
        isSmokeTest: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        errorType?: string | undefined;
        errorMessage?: string | undefined;
        readonly eventType: "Synth";
        readonly eventTime: number;
        requestId: string;
        exitCode: number;
        eventEndTime: number;
        isSmokeTest: boolean;
    }, {
        errorType?: string | undefined;
        errorMessage?: string | undefined;
        readonly eventType: "Synth";
        readonly eventTime: number;
        requestId: string;
        exitCode: number;
        eventEndTime: number;
        isSmokeTest: boolean;
    }>]>>, "many">>;
}, "strip", z.ZodTypeAny, {
    nodeVersion: string;
    pid: number;
    machinePlatform: string;
    machineArchitecture: string;
    machineId: string;
    gluestikVersion: string;
    events: ({
        errorType?: string | undefined;
        errorMessage?: string | undefined;
        readonly eventType: "CreateGluestik";
        readonly eventTime: number;
        requestId: string;
        templateName: string;
        packageManager: string;
        createGluestikVersion: string;
        exitCode: number;
        eventEndTime: number;
        isSmokeTest: boolean;
    } | {
        errorType?: string | undefined;
        errorMessage?: string | undefined;
        readonly eventType: "Deploy";
        readonly eventTime: number;
        requestId: string;
        exitCode: number;
        eventEndTime: number;
        isSmokeTest: boolean;
    } | {
        errorType?: string | undefined;
        errorMessage?: string | undefined;
        readonly eventType: "Synth";
        readonly eventTime: number;
        requestId: string;
        exitCode: number;
        eventEndTime: number;
        isSmokeTest: boolean;
    })[];
}, {
    nodeVersion: string;
    pid: number;
    machinePlatform: string;
    machineArchitecture: string;
    machineId: string;
    gluestikVersion: string;
    events: ({
        errorType?: string | undefined;
        errorMessage?: string | undefined;
        readonly eventType: "CreateGluestik";
        readonly eventTime: number;
        requestId: string;
        templateName: string;
        packageManager: string;
        createGluestikVersion: string;
        exitCode: number;
        eventEndTime: number;
        isSmokeTest: boolean;
    } | {
        errorType?: string | undefined;
        errorMessage?: string | undefined;
        readonly eventType: "Deploy";
        readonly eventTime: number;
        requestId: string;
        exitCode: number;
        eventEndTime: number;
        isSmokeTest: boolean;
    } | {
        errorType?: string | undefined;
        errorMessage?: string | undefined;
        readonly eventType: "Synth";
        readonly eventTime: number;
        requestId: string;
        exitCode: number;
        eventEndTime: number;
        isSmokeTest: boolean;
    })[];
}>;
//# sourceMappingURL=metrics-request.d.ts.map