import { z } from "zod";
export declare type SynthEvent = z.infer<typeof SynthEvent>;
export declare const SynthEvent: z.ZodObject<{
    readonly eventType: z.ZodEnum<["Synth"]>;
    readonly eventTime: z.ZodNumber;
} & {
    requestId: z.ZodString;
    exitCode: z.ZodNumber;
    errorType: z.ZodOptional<z.ZodString>;
    errorMessage: z.ZodOptional<z.ZodString>;
    eventEndTime: z.ZodNumber;
    isSmokeTest: z.ZodBoolean;
}, "strip", z.ZodTypeAny, {
    errorType?: string | undefined;
    errorMessage?: string | undefined;
    readonly eventType: "Synth";
    readonly eventTime: number;
    requestId: string;
    exitCode: number;
    eventEndTime: number;
    isSmokeTest: boolean;
}, {
    errorType?: string | undefined;
    errorMessage?: string | undefined;
    readonly eventType: "Synth";
    readonly eventTime: number;
    requestId: string;
    exitCode: number;
    eventEndTime: number;
    isSmokeTest: boolean;
}>;
//# sourceMappingURL=synth-event.d.ts.map